
%define major     6
%define minor     14
%define ext       6

%define libname   %mklibname rocksdb %{major}
%define develname %mklibname rocksdb -d

Name:       rocksdb
Version:    6.14.6
Release:    %mkrel 1
Summary:    A Persistent Key-Value Store for Flash and RAM Storage
Group:      Databases
License:    BSD
URL:        https://github.com/facebook/rocksdb.git
Source0:    https://github.com/facebook/rocksdb/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires: pkgconfig(gtest)

%description
Rocksdb is a library that forms the core building block for a fast key value
server, especially suited for storing data on flash drives. It has a
Log-Structured-Merge-Database (LSM) design with flexible trade offs between
Write-Amplification-Factor (WAF), Read-Amplification-Factor (RAF) and
Space-Amplification-Factor (SAF). It has multithreaded compaction, making it
specially suitable for storing multiple terabytes of data in a single database.

%package -n %{libname}
Summary:    A Persistent Key-Value Store for Flash and RAM Storage
Group:      Databases
Provides:   %{name} = %{version}-%{release}

%description -n %{libname}
Rocksdb is a library that forms the core building block for a fast key value
server, especially suited for storing data on flash drives. It has a
Log-Structured-Merge-Database (LSM) design with flexible trade offs between
Write-Amplification-Factor (WAF), Read-Amplification-Factor (RAF) and
Space-Amplification-Factor (SAF). It has multithreaded compaction, making it
specially suitable for storing multiple terabytes of data in a single database.

%package -n %{develname}
Summary:    Development files for rocksdb
Requires:   %{libname} = %{version}-%{release}
Group:      Development/C
Provides:   rocksdb-devel = %{version}-%{release}
Provides:   librocksdb-devel = %{version}-%{release}

%description -n %{develname}
Development files for rocksdb.

%prep
%setup -q

rm -rf third-party/gtest-1.7.0
rm java/benchmark/src/main/java/org/rocksdb/benchmark/DbBenchmark.java
rm build_tools/gnu_parallel

%build
#(eatdirt) RTTI necessary for ceph and PORTABLE=1 is required to not
#trigger SSE4 vectorization

export EXTRA_CFLAGS="%{optflags}"
export EXTRA_CXXFLAGS="%{optflags}"
export EXTRA_LDFLAGS="-ldl %{ldflags}"
PORTABLE=1 USE_RTTI=1 %make_build shared_lib

%install
make install-shared \
         DESTDIR=%{buildroot} \
         PREFIX=%{_usr} \
         LIBDIR=%{_libdir}

%files -n %{libname}
%{_libdir}/librocksdb.so.%{major}
%{_libdir}/librocksdb.so.%{major}.%{minor}
%{_libdir}/librocksdb.so.%{major}.%{minor}.%{ext}
%license COPYING


%files -n %{develname}
%{_libdir}/librocksdb.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Dec 18 2020 joequant <joequant> 6.14.6-1.mga8
+ Revision: 1660881
- update to 6.14.6

* Wed Aug 26 2020 eatdirt <eatdirt> 6.11.4-3.mga8
+ Revision: 1619161
- Link to -ldl
- Force PORTABLE=1 to not trigger SSE4 instructions

* Fri Aug 21 2020 eatdirt <eatdirt> 6.11.4-2.mga8
+ Revision: 1617546
- Rebuild with USE_RTTI=1 (in prep for ceph)

* Thu Aug 20 2020 eatdirt <eatdirt> 6.11.4-1.mga8
+ Revision: 1616614
- Upgrade to version 6.11.4, add missing provides

* Sat Feb 15 2020 daviddavid <daviddavid> 6.6.4-1.mga8
+ Revision: 1527307
- new version: 6.6.4
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Jul 06 2019 joequant <joequant> 6.1.2-1.mga8
+ Revision: 1418909
- update version

* Sat Jul 06 2019 joequant <joequant> 5.17.2-1.mga8
+ Revision: 1418871
- add group
- add group
- imported package rocksdb

